package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponDspStatus {

    //0:已接收,1:已注入
    RECEIVED(0, "已接收"),
    SENT_CO(1, "已注入")
    ;

    public static EnumCouponDspStatus getEnum(Integer code) {
        for (EnumCouponDspStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponDspStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
